curl --request POST \
--url https://app.proliferate.com/api/repos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"githubRepoId": "<string>",
"githubUrl": "<string>",
"githubRepoName": "<string>",
"defaultBranch": "<string>",
"integrationId": "<string>",
"isPrivate": true,
"source": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"github_repo_id": "<string>",
"github_repo_name": "<string>",
"github_url": "<string>",
"default_branch": "<string>",
"created_at": "<string>",
"source": "<string>",
"is_private": true,
"prebuild_status": "ready",
"prebuild_id": "<string>"
},
"existing": true
}curl --request POST \
--url https://app.proliferate.com/api/repos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"githubRepoId": "<string>",
"githubUrl": "<string>",
"githubRepoName": "<string>",
"defaultBranch": "<string>",
"integrationId": "<string>",
"isPrivate": true,
"source": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"github_repo_id": "<string>",
"github_repo_name": "<string>",
"github_url": "<string>",
"default_branch": "<string>",
"created_at": "<string>",
"source": "<string>",
"is_private": true,
"prebuild_status": "ready",
"prebuild_id": "<string>"
},
"existing": true
}API key authentication. Get your API key from the Proliferate dashboard.
Body